Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1086231 - Review Request: nodejs-jsonparse - Pure-js JSON streaming parser for node.js
Summary: Review Request: nodejs-jsonparse - Pure-js JSON streaming parser for node.js
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 1086245
TreeView+ depends on / blocked
 
Reported: 2014-04-10 12:19 UTC by anish
Modified: 2015-04-12 23:12 UTC (History)
5 users (show)

Fixed In Version: nodejs-jsonparse-1.0.0-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-28 14:24:12 UTC
tom: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description anish 2014-04-10 12:19:26 UTC
Spec URL: http://anishpatil.fedorapeople.org/nodejs-jsonparse.spec
SRPM URL: http://anishpatil.fedorapeople.org/nodejs-jsonparse-0.0.6-1.fc20.src.rpm
Description: This is a streaming JSON parser for Node.js

Fedora Account System Username:anishpatil

Comment 1 Tom Hughes 2014-04-16 17:41:42 UTC
Preliminary points:

* Needs an ExclusiveArch: %{nodejs_arches} noarch

* The second %setup is not needed

* The ">" in the %nodejs_fixdep lines is bogus and should be removed

* The %nodejs_fixdep for tap is not doing anything as that is already the
  version in package.json

* The bench.js file is for benchmarking and doesn't need to be installed

* The examples dir should be in %doc, not installed to the lib dir

* The test dir should not be installed

* There should be a %check to run the tests

Comment 2 anish 2014-05-07 11:56:15 UTC
Thanks for review comments, please find new spec file and SRPM file 


SPEC file:-  http://anishpatil.fedorapeople.org/nodejs-jsonparse.spec

SRPM file :- http://anishpatil.fedorapeople.org/nodejs-jsonparse-0.0.6-2.fc20.src.rpm

Comment 3 Tom Hughes 2014-05-11 12:45:26 UTC
A few more issues:

* You need "BuildRequire: npm(tap)" so that %check can run

* You will also need to BuildRequire any npm modules that the tests need - try building in mock to see if you have it right

* You should use "%nodejs_symlink_deps --check" in %check instead of setting NODE_PATH

Comment 4 anish 2014-05-28 09:46:08 UTC
Thanks for review comments, please find new spec file and SRPM file 


SPEC file:-  http://anishpatil.fedorapeople.org/nodejs-jsonparse.spec

SRPM file :- http://anishpatil.fedorapeople.org/nodejs-jsonparse-0.0.6-3.fc20.src.rpm

Comment 5 Tom Hughes 2014-05-28 18:23:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: nodejs-jsonparse-0.0.6-3.fc21.noarch.rpm
          nodejs-jsonparse-0.0.6-3.fc21.src.rpm
nodejs-jsonparse.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-jsonparse.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-jsonparse.noarch: W: only-non-binary-in-usr-lib
nodejs-jsonparse.src: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-jsonparse.src: W: spelling-error %description -l en_US js -> dis, ks, j
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-jsonparse
nodejs-jsonparse.noarch: W: spelling-error Summary(en_US) js -> dis, ks, j
nodejs-jsonparse.noarch: W: spelling-error %description -l en_US js -> dis, ks, j
nodejs-jsonparse.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-jsonparse (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-jsonparse:
    nodejs-jsonparse
    npm(jsonparse)



Source checksums
----------------
http://registry.npmjs.org/jsonparse/-/jsonparse-0.0.6.tgz :
  CHECKSUM(SHA256) this package     : 0bc5d6b509bb9d50696d5a6fb36f82ed831df3c832d31463f2535efb35cfd52d
  CHECKSUM(SHA256) upstream package : 0bc5d6b509bb9d50696d5a6fb36f82ed831df3c832d31463f2535efb35cfd52d


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1086231
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 6 Tom Hughes 2014-05-28 18:25:08 UTC
Looks pretty good now. Just a couple of minor points:

* It's better to do the "%nodejs_symlink_deps --check" at the top of %check

* I don't think the samplejson directory needs to be installed - it's just sample data for the benchmark script by the looks of it

Comment 7 anish 2014-06-04 07:45:22 UTC
Thanks for review comments, please find new spec file and SRPM file 


SPEC file:-  http://anishpatil.fedorapeople.org/nodejs-jsonparse.spec

SRPM file :- http://anishpatil.fedorapeople.org/nodejs-jsonparse-0.0.6-4.fc20.src.rpm

Comment 8 Tom Hughes 2014-06-04 08:09:06 UTC
Looks great now. Package approved.

Comment 9 anish 2014-06-04 08:20:41 UTC
New Package SCM Request
=======================
Package Name: nodejs-jsonparse
Short Description: Pure-js JSON streaming parser for node.js
Owners: anishpatil
Branches: f20

Comment 10 Gwyn Ciesla 2014-06-04 10:05:08 UTC
Git done (by process-git-requests).

Comment 11 Fedora Update System 2014-06-04 11:50:40 UTC
nodejs-jsonparse-0.0.6-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-jsonparse-0.0.6-4.fc20

Comment 12 Fedora Update System 2014-06-05 04:24:46 UTC
Package nodejs-jsonparse-0.0.6-4.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nodejs-jsonparse-0.0.6-4.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7097/nodejs-jsonparse-0.0.6-4.fc20
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2014-08-08 08:41:17 UTC
nodejs-jsonparse-0.0.6-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 anish 2014-12-08 06:28:07 UTC
Package Change Request
======================
Package Name: nodejs-jsonparse
New Branches: el6 epel7 
Owners: anishpatil
InitialCC: i18n-team

Comment 15 Gwyn Ciesla 2014-12-08 13:42:32 UTC
Git done (by process-git-requests).

Comment 16 Fedora Update System 2014-12-09 05:19:12 UTC
nodejs-jsonparse-0.0.6-5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-jsonparse-0.0.6-5.el7

Comment 17 Fedora Update System 2014-12-09 05:19:19 UTC
nodejs-jsonparse-0.0.6-5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-jsonparse-0.0.6-5.el6

Comment 18 Fedora Update System 2014-12-26 19:48:00 UTC
nodejs-jsonparse-0.0.6-5.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 19 Fedora Update System 2015-02-06 09:25:41 UTC
nodejs-jsonparse-1.0.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-jsonparse-1.0.0-1.el6

Comment 20 Fedora Update System 2015-02-06 09:25:48 UTC
nodejs-jsonparse-1.0.0-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-jsonparse-1.0.0-1.el7

Comment 21 Fedora Update System 2015-02-06 09:25:55 UTC
nodejs-jsonparse-1.0.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-jsonparse-1.0.0-1.fc20

Comment 22 Fedora Update System 2015-02-06 09:26:03 UTC
nodejs-jsonparse-1.0.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-jsonparse-1.0.0-1.fc21

Comment 23 Fedora Update System 2015-02-23 16:10:29 UTC
nodejs-jsonparse-1.0.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2015-02-23 16:10:54 UTC
nodejs-jsonparse-1.0.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2015-02-23 23:26:35 UTC
nodejs-jsonparse-1.0.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-02-23 23:28:33 UTC
nodejs-jsonparse-1.0.0-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.